#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
# version is date of the youngest commit
#

Summary:	Open source Linux kernel firmware files
Name:   	kernel-firmware
Version:	20120219
Release:	%mkrel 1
License:	GPLv2 and GPLv2+ and GPLv3
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# linux-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it, and  doing:
# git archive --prefix=linux-firmware/ origin/master | xz > linux-firmware-20110601.tar.xz
# or by using the tarball from kernel-firmware-extra directly.
#
# Then use gen-free-firmware-tarball.sh to generate a free-only and a nonfree tarball
# to be used in kernel-firmware-nonfree from the full firmware tarball.
Source0: 	linux-firmware-free-%{version}.tar.xz
Source1:	gen-free-firmware-tarball.sh
Conflicts:	kernel-firmware-extra < %{version}-1
Conflicts:	kernel-firmware-nonfree < %{version}-1
Conflicts:	radeon-firmware < %{version}-1
Suggests:	kernel-firmware-nonfree
BuildArch:	noarch

%description
This package contains all the open source firmware for in-kernel drivers.

This package includes the firmware for keyspan_pda, dsp56k, pcnet_cs,
3c589_cs, 3c574_cs, serial_cs, dvb-ttpci (base), isci, usbdux.

Other firmware is contained in the radeon-firmware, iwlwifi-*-ucode,
rtlwifi-firmware, and kernel-firmware-nonfree packages in the nonfree section.

%prep
%setup -q -n linux-firmware-free-%{version}

# remove unwanted source files
rm -f av7110/{Makefile,Boot.S}
rm -rf cis/src
rm -f dsp56k/{Makefile,bootstrap.asm,concat-bootstrap.pl}
rm -f isci/{Makefile,*.{c,h}}
rm -f keyspan_pda/{Makefile,*.S}
rm -f usbdux/*.asm
rm -r usbdux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{WHENCE,GPL*}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc WHENCE
# Check license before adding/removing files here,
# the tarball script is not fault-proof.
%dir /lib/firmware/av7110
/lib/firmware/av7110/bootcode.bin
%dir /lib/firmware/cis
/lib/firmware/cis/*.cis
%dir /lib/firmware/dsp56k
/lib/firmware/dsp56k/bootstrap.bin
%dir /lib/firmware/isci
/lib/firmware/isci/isci_firmware.bin
%dir /lib/firmware/keyspan_pda
/lib/firmware/keyspan_pda/*.fw
/lib/firmware/usbdux*_firmware.bin
%dir /lib/firmware/r128
/lib/firmware/r128/*.bin
%dir /lib/firmware/radeon
/lib/firmware/radeon/*.bin


%changelog

* Tue Mar 06 2012 tmb <tmb> 20120219-1.mga2
+ Revision: 220088
- update to 2012-02-19 snapshot

* Sun Jan 01 2012 tmb <tmb> 20111229-1.mga2
+ Revision: 189462
- conflict old kernel-firmware-extra
- update to 2011-12-29 snapshot
- update filelists
- create nonfree only tarball at the same time as we create the
  free tarball to avoid useless duplication in srpms, and to
  simplify the creation of kernel-firmware-nonfree
- fix git url
- drop buildroot

* Tue Nov 08 2011 anssi <anssi> 20110703-2.mga2
+ Revision: 165566
- drop non-free firmware (they will be included in the
  kernel-firmware-extra and radeon-firmware packages in the nonfree
  section)
- add free usbdux firmware (moved from kernel-firmware-extra)
- drop non-free obsoletes (to be put in kernel-firmware-extra)
- add gen-free-firmware-tarball.sh to help packaging
- update summary and description
- fix license tag
- drop pcmcia firmware source code from the binary package

  + tmb <tmb>
    - update to 2011-07-03 checkout
      * updates bnx2x fw to 6.2.9
      * adds isci: Intel(R) C600 Series Chipset Storage Controller fw

* Thu Mar 17 2011 tmb <tmb> 20110314-2.mga1
+ Revision: 73536
- fix conflicts on kernel-firmware-extra

* Thu Mar 17 2011 tmb <tmb> 20110314-1.mga1
+ Revision: 73359
- update to 2011-03-14

* Tue Jan 25 2011 tmb <tmb> 20101231-1.mga1
+ Revision: 39043
- update to 2010-12-31 snapshot

* Sat Jan 08 2011 tmb <tmb> 20101024-2.mga1
+ Revision: 1228
- imported package kernel-firmware

